/*
 *
 *  This file ist part of the software MonaLisa.
 *  MonaLisa is free software, dependend on non-free software. For more information read LICENCE and README.
 *
 *  (c) Molekulare Bioinformatik, Goethe University Frankfurt, Frankfurt am Main, Germany
 *
 */

package monalisa.results;

import monalisa.resources.StringResources;

public class TopologyConfiguration implements Configuration {
    private static final long serialVersionUID = 2996928180392649174L;
    private final String toolName;
    
    public TopologyConfiguration(String toolName) {
        this.toolName = toolName;
    }
    
    @Override
    public boolean equals(Object obj) {
        if (obj == this)
            return true;
        else if (obj instanceof TopologyConfiguration) {
            TopologyConfiguration other = (TopologyConfiguration) obj;
            return toolName.equals(other.toolName);
        }
        else
            return false;
    }
    
    @Override
    public int hashCode() {
        return toolName.hashCode();
    }

    @Override
    public String toString() {
        return toolName;
    }
    
    @Override
    public String toString(StringResources strings) {
        return strings.get(toolName);
    }

    public Boolean isExportable() {
        return true;
    }
}
